summaryrefslogtreecommitdiff
path: root/dev-python/twisted-core/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /dev-python/twisted-core/files
reinit the tree, so we can have metadata
Diffstat (limited to 'dev-python/twisted-core/files')
-rw-r--r--dev-python/twisted-core/files/twistd.conf7
-rw-r--r--dev-python/twisted-core/files/twistd.init25
-rw-r--r--dev-python/twisted-core/files/twisted-core-12.1.0-remove-tests-conch-dependency.patch15
-rw-r--r--dev-python/twisted-core/files/twisted-core-2.1.0-echo-less.patch13
-rw-r--r--dev-python/twisted-core/files/twisted-core-9.0.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch11
5 files changed, 71 insertions, 0 deletions
diff --git a/dev-python/twisted-core/files/twistd.conf b/dev-python/twisted-core/files/twistd.conf
new file mode 100644
index 000000000000..53788cd0017e
--- /dev/null
+++ b/dev-python/twisted-core/files/twistd.conf
@@ -0,0 +1,7 @@
+
+# These are passed to twistd.
+# TWISTD_OPTS="--no_save --logfile=/var/log/twistd -y /etc/twistd.tac"
+# TWISTD_OPTS="--no_save --logfile=/var/log/twistd -f /etc/twistd.tap"
+
+# Make any additions to PYTHONPATH the twistd needs here.
+# PYTHONPATH="/path/to/extra/python/modules"
diff --git a/dev-python/twisted-core/files/twistd.init b/dev-python/twisted-core/files/twistd.init
new file mode 100644
index 000000000000..b031b0020c6e
--- /dev/null
+++ b/dev-python/twisted-core/files/twistd.init
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+
+depend() {
+ need net
+}
+
+start() {
+ if [ -z "${TWISTD_OPTS}" ]; then
+ eerror "TWISTD_OPTS is not set!"
+ eerror "You need to configure twistd in /etc/conf.d/twistd."
+ return 1
+ fi
+ export PYTHONPATH
+ ebegin "Starting twistd"
+ start-stop-daemon --start --quiet --pidfile /var/run/twistd.pid \
+ --exec /usr/bin/twistd -- --pidfile /var/run/twistd.pid \
+ ${TWISTD_OPTS}
+ eend $? "Failed to start twistd"
+}
+
+stop() {
+ ebegin "Stopping twistd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/twistd.pid
+ eend $? "Failed to stop twistd"
+}
diff --git a/dev-python/twisted-core/files/twisted-core-12.1.0-remove-tests-conch-dependency.patch b/dev-python/twisted-core/files/twisted-core-12.1.0-remove-tests-conch-dependency.patch
new file mode 100644
index 000000000000..db2e2454bbc6
--- /dev/null
+++ b/dev-python/twisted-core/files/twisted-core-12.1.0-remove-tests-conch-dependency.patch
@@ -0,0 +1,15 @@
+Index: twisted/test/test_strcred.py
+===================================================================
+--- twisted/test/test_strcred.py (revision 34525)
++++ twisted/test/test_strcred.py (working copy)
+@@ -352,6 +352,10 @@
+ except ImportError:
+ skip = "PyCrypto is not available"
+
++ try:
++ from twisted import conch
++ except ImportError:
++ skip = "Twisted Conch is not available"
+
+ def test_isChecker(self):
+ """
diff --git a/dev-python/twisted-core/files/twisted-core-2.1.0-echo-less.patch b/dev-python/twisted-core/files/twisted-core-2.1.0-echo-less.patch
new file mode 100644
index 000000000000..c180a111021d
--- /dev/null
+++ b/dev-python/twisted-core/files/twisted-core-2.1.0-echo-less.patch
@@ -0,0 +1,13 @@
+=== modified file 'twisted/test/test_process.py'
+--- twisted/test/test_process.py
++++ twisted/test/test_process.py
+@@ -76,7 +76,7 @@
+
+ class EchoProtocol(protocol.ProcessProtocol):
+
+- s = "1234567" * 1001
++ s = "1234567" * 11
+ n = 10
+ finished = 0
+
+
diff --git a/dev-python/twisted-core/files/twisted-core-9.0.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch b/dev-python/twisted-core/files/twisted-core-9.0.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch
new file mode 100644
index 000000000000..2fe22f1640b1
--- /dev/null
+++ b/dev-python/twisted-core/files/twisted-core-9.0.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch
@@ -0,0 +1,11 @@
+--- twisted/plugin.py
++++ twisted/plugin.py
+@@ -174,7 +174,7 @@
+ if pluginKey not in existingKeys:
+ del dropinDotCache[pluginKey]
+ needsWrite = True
+- if needsWrite:
++ if needsWrite and os.environ.get("TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE") is None:
+ try:
+ dropinPath.setContent(pickle.dumps(dropinDotCache))
+ except: